//--------------------------------------------------------------------------------
// This file is part of the Windows Workflow Foundation Sample Code
//
// Copyright (c) Microsoft Corporation. All rights reserved.
//
// This source code is intended only as a supplement to Microsoft
// Development Tools and/or on-line documentation.  See these other
// materials for detailed information regarding Microsoft code samples.
// 
// THIS CODE AND INFORMATION ARE PROVIDED AS IS WITHOUT WARRANTY OF ANY
// KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//--------------------------------------------------------------------------------

using System;
using System.Security.Permissions;

namespace Microsoft.Samples.Workflow.UI
{
    public class InteractionContext
    {
        Bookmark bookmark;
        object activityOutput;
        Permission requiredPermission;
        Exception error;

        public InteractionContext() { }

        public InteractionContext(Bookmark bookmark, object activityOutput, Permission permission, Exception error)
        {
            this.bookmark = bookmark;
            this.activityOutput = activityOutput;
            this.requiredPermission = permission;
            this.error = error;
        }

        public Bookmark Bookmark
        {
            get { return this.bookmark; }
        }

        public object ActivityOutput
        {
            get { return this.activityOutput; }
        }

        public Permission RequiredPermission
        {
            get { return this.requiredPermission; }
        }

        public Exception Error
        {
            get { return this.error; }
        }
    }
}