//--------------------------------------------------------------------------------
// This file is part of the Windows Workflow Foundation Sample Code
//
// Copyright (c) Microsoft Corporation. All rights reserved.
//
// This source code is intended only as a supplement to Microsoft
// Development Tools and/or on-line documentation.  See these other
// materials for detailed information regarding Microsoft code samples.
// 
// THIS CODE AND INFORMATION ARE PROVIDED AS IS WITHOUT WARRANTY OF ANY
// KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//--------------------------------------------------------------------------------

using System;
using System.Security.Permissions;
using System.Collections.ObjectModel;

namespace Microsoft.Samples.Workflow.UI
{
    public class InteractionGroupContext : InteractionContext
    {
        ReadOnlyCollection<InteractionContext> activeChildContexts;
        ReadOnlyCollection<InteractionContext> availableChildContexts;

        public InteractionGroupContext() : base() { }

        public InteractionGroupContext(Bookmark bookmark, Permission permission, Exception error)
            : base(bookmark, null, permission, error)
        {
        }

        public ReadOnlyCollection<InteractionContext> ActiveChildContexts
        {
            get { return this.activeChildContexts; }
            internal set { this.activeChildContexts = value; }
        }

        public ReadOnlyCollection<InteractionContext> AvailableChildContexts
        {
            get { return this.availableChildContexts; }
            internal set { this.availableChildContexts = value; }
        }
    }
}
