//--------------------------------------------------------------------------------
// This file is part of the Windows Workflow Foundation Sample Code
//
// Copyright (c) Microsoft Corporation. All rights reserved.
//
// This source code is intended only as a supplement to Microsoft
// Development Tools and/or on-line documentation.  See these other
// materials for detailed information regarding Microsoft code samples.
// 
// THIS CODE AND INFORMATION ARE PROVIDED AS IS WITHOUT WARRANTY OF ANY
// KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//--------------------------------------------------------------------------------

using System;
using System.Configuration;
using System.Collections.Specialized;
using System.Workflow.Runtime.Configuration;

namespace Microsoft.Samples.Workflow.UI.Asp
{
    public class AspNavigationConfigSection : WorkflowRuntimeSection
    {
        internal const string configSectionName = "AspNavigationSettings";

        const string _pageMappings = "PageMappings";
        const string _exceptionMappings = "ExceptionMappings";

        [ConfigurationProperty(_pageMappings, DefaultValue = null)]
        public PageMappingElementCollection PageMappings
        {
            get 
            {
                return (PageMappingElementCollection)base[_pageMappings];
            }
        }

        [ConfigurationProperty(_exceptionMappings, DefaultValue = null)]
        public ExceptionMappingElementCollection ExceptionMappings
        {
            get
            {
                return (ExceptionMappingElementCollection)base[_exceptionMappings];
            }
        }
    }
}
