//--------------------------------------------------------------------------------
// This file is part of the Windows Workflow Foundation Sample Code
//
// Copyright (c) Microsoft Corporation. All rights reserved.
//
// This source code is intended only as a supplement to Microsoft
// Development Tools and/or on-line documentation.  See these other
// materials for detailed information regarding Microsoft code samples.
// 
// THIS CODE AND INFORMATION ARE PROVIDED AS IS WITHOUT WARRANTY OF ANY
// KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//--------------------------------------------------------------------------------

using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Runtime.Serialization;
using System.Workflow.ComponentModel.Design;

namespace Microsoft.Samples.Workflow.UI.Design
{
    [Serializable]
    class InteractionGroupToolboxItem : ActivityToolboxItem
    {
        public InteractionGroupToolboxItem(Type type)
            : base(type)
        {
        }
        private InteractionGroupToolboxItem(SerializationInfo info, StreamingContext context)
        {
            Deserialize(info, context);
        }
        protected override IComponent[] CreateComponentsCore(IDesignerHost designerHost)
        {
            InteractionGroupActivity interactionGroupActivity = new InteractionGroupActivity();
            interactionGroupActivity.Activities.Add(new InteractionActivity());
            interactionGroupActivity.Activities.Add(new InteractionActivity());
            return (IComponent[])new IComponent[] { interactionGroupActivity };
        }
    }
}
