//--------------------------------------------------------------------------------
// This file is part of the Windows Workflow Foundation Sample Code
//
// Copyright (c) Microsoft Corporation. All rights reserved.
//
// This source code is intended only as a supplement to Microsoft
// Development Tools and/or on-line documentation.  See these other
// materials for detailed information regarding Microsoft code samples.
// 
// THIS CODE AND INFORMATION ARE PROVIDED AS IS WITHOUT WARRANTY OF ANY
// KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//--------------------------------------------------------------------------------

using System;
using System.Configuration;
using System.Workflow.Runtime.Configuration;

namespace Microsoft.Samples.Workflow.UI
{
    public class NavigationManagerConfigSection : WorkflowRuntimeSection
    {
        internal const string configSectionName = "NavigationManagerSettings";
        const string _workflow = "Workflow";
        const string _startOnDemand = "StartOnDemand";

        [ConfigurationProperty(_startOnDemand, DefaultValue = false)]
        public bool StartOnDemand
        {
            get
            {
                return (bool)base[_startOnDemand];
            }
            set
            {
                base[_startOnDemand] = value;
            }
        }

        [ConfigurationProperty(_workflow, DefaultValue = null)]
        public WorkflowElement Workflow
        {
            get
            {
                return (WorkflowElement)base[_workflow];
            }
            set
            {
                base[_workflow] = value;
            }
        }
    }
}
