//--------------------------------------------------------------------------------
// This file is part of the Windows Workflow Foundation Sample Code
//
// Copyright (c) Microsoft Corporation. All rights reserved.
//
// This source code is intended only as a supplement to Microsoft
// Development Tools and/or on-line documentation.  See these other
// materials for detailed information regarding Microsoft code samples.
// 
// THIS CODE AND INFORMATION ARE PROVIDED AS IS WITHOUT WARRANTY OF ANY
// KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//--------------------------------------------------------------------------------

using System;
using System.Workflow.ComponentModel;

namespace Microsoft.Samples.Workflow.UI
{
    public class NavigatorEventArgs : EventArgs
    {
        private string goTo;
        private Activity previousActivity;

        internal NavigatorEventArgs(Activity previousActivity)
        {
            this.previousActivity = previousActivity;
        }

        public string GoTo
        {
            get
            {
                return this.goTo;
            }
            set
            {
                this.goTo = value;
            }
        }

        public Activity PreviousActivity
        {
            get
            {
                return this.previousActivity;
            }
        }
    }
}
