//--------------------------------------------------------------------------------
// This file is part of the Windows Workflow Foundation Sample Code
//
// Copyright (c) Microsoft Corporation. All rights reserved.
//
// This source code is intended only as a supplement to Microsoft
// Development Tools and/or on-line documentation.  See these other
// materials for detailed information regarding Microsoft code samples.
// 
// THIS CODE AND INFORMATION ARE PROVIDED AS IS WITHOUT WARRANTY OF ANY
// KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//--------------------------------------------------------------------------------

using System;
using System.Threading;
using System.Security.Principal;

namespace Microsoft.Samples.Workflow.UI
{
    public class UserInput
    {
        private string action;
        private object activityInput;

        public UserInput() { }

        public UserInput(string action, object activityInput)
        {
            this.action = action;
            this.activityInput = activityInput;
        }

        public string Action
        {
            get { return this.action; }
            set 
            {
                if (string.IsNullOrEmpty(value))
                {
                    throw new ArgumentException("value");
                }

                this.action = value; 
            }
        }

        public object ActivityInput
        {
            get { return this.activityInput; }
            set { this.activityInput = value; }
        }
    }
}