//--------------------------------------------------------------------------------
// This file is part of the Windows Workflow Foundation Sample Code
//
// Copyright (c) Microsoft Corporation. All rights reserved.
//
// This source code is intended only as a supplement to Microsoft
// Development Tools and/or on-line documentation.  See these other
// materials for detailed information regarding Microsoft code samples.
// 
// THIS CODE AND INFORMATION ARE PROVIDED AS IS WITHOUT WARRANTY OF ANY
// KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//--------------------------------------------------------------------------------

using System;
using System.Runtime.Serialization;

namespace Microsoft.Samples.Workflow.UI
{
    [Serializable]
    public class UserInputValidationException : Exception
    {
        public UserInputValidationException()
            : base()
        {
        }

        public UserInputValidationException(string message)
            : base(message)
        {
        }

        public UserInputValidationException(string message, Exception innerException)
            : base(message, innerException)
        {
        }

        public UserInputValidationException(SerializationInfo serializationInfo, StreamingContext streamingContext)
            : base(serializationInfo, streamingContext)
        {
        }

        public static void Throw(string message)
        {
            throw new UserInputValidationException(message);
        }
    }
}
